Bug 77683 - Tar creates empty files in some cases.
Tar creates empty files in some cases.
Status: CLOSED DUPLICATE of bug 77243
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 18:08 EST by Yannick Patois
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 18:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yannick Patois 2002-11-11 18:08:09 EST
Description of Problem:
TAR creates empty archive when both an exclude pattern file and an absolute path
to tar is given.

Version-Release number of selected component (if applicable):
1.13.25-4.7.1

How Reproducible:
Always

Steps to Reproduce:
1. mkdir tarbug;cd tarbug; echo "*.o#" | tr '#' '\n' > exclude;touch foo
2. tar cvZ -X exclude -N "20021103 04:25:36" -f tarbug.tgz `pwd`/foo
3. 

Actual Results:
Empty tar file is created.

Expected Results:
Tar file containing 'foo'

Additional Information:
tar-1.13.19-6 does work.

Take this as a SERIOUS issue: many backup system rely on explude pattern file +
backing up absolute paths. Having empty backup is quite nasty.
My backup system just broke on this !

I'm not sure if the -N flag does matter. Didnt checked.
Comment 1 Jeff Johnson 2002-11-12 06:59:49 EST

*** This bug has been marked as a duplicate of 77243 ***
Comment 2 Yannick Patois 2002-11-12 07:29:53 EST
Sorry, an accidental reload of the web page resubmited it.

Note You need to log in before you can comment on or make changes to this bug.